Bug 98100 - rsh, rlogin and rcp is not working
Summary: rsh, rlogin and rcp is not working
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rsh (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-26 15:49 UTC by Need Real Name
Modified: 2015-03-05 01:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-27 10:13:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Comment 1 Need Real Name 2003-06-26 15:52:34 UTC
Rsh also does not work when running it on the system to a remote sys:
  rsh [remote sys] date
Error message:
  poll: protocol failure in circuit setup

Comment 2 David Lawrence 2003-06-26 18:13:48 UTC
Description of problem:
We're running 7.1(that's the highest version the box can take) on a compaq dual 
CPU proliant 1600 box. We'd installed the rsh-server package and were tryingt 
to run rsh rlogin and rcp commands as root and as other users. We have 
the /etc/hosts file and the /.rhosts file entries set.
Rsh and rlogin is working on the system itself after updating 
the /etc/securetty file with rsh and rlogin entries. It still does work though 
if we try to run the rsh/rlogin/rcp commands from other systems. We've updated 
the /etc/pam.d/rsh file with this entry:
auth       required     /lib/security/pam_rhosts_auth.so
The /var/log/messages file shows:
Jun 26 11:07:51 dhcp-241-7 pam_rhosts_auth[4695]: allowed to 
root@localhost as root
Jun 26 11:07:51 dhcp-241-7 in.rshd[4695]: rsh denied to 
root@localhost as root: Permission denied.
Jun 26 11:07:51 dhcp-241-7 in.rshd[4695]: rsh command was 'date'

How can we make it work for root and for other users? Even though it's 
suggested not to, we'd need a work around solution.

Version-Release number of selected component (if applicable):
rsh-0.17-2.5 as client and rsh-server-0.17-5 

How reproducible:
Always

Steps to Reproduce:
1.Log onto a system that is listed in the .rhosts file 
2.rsh [system] date
3.get connection failure error message after a while
    



Comment 3 Phil Knirsch 2003-06-27 10:13:45 UTC
This is mainly a setup and therefore support question (for which you should
contact support and not write any bugzilla entries).

After your description i'd check your DNS setup and .rhosts resp. hosts.equiv
entries to contain the users and the FQDN (full qualified domain names) for the
hosts. Otherwise rsh/rlogin are likely to fail during authentification.

Hope this helps,

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.